package com.afp.ordermanagement.model;

import lombok.Data;

import java.util.Objects;

@Data
public class Item {

    private String itemId;
    private int itemQuantity;
    private double itemPrice;
    private int itemSku;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof Item)) return false;
        Item item = (Item) o;
        return getItemQuantity() == item.getItemQuantity() && Double.compare(item.getItemPrice(), getItemPrice()) == 0 && getItemSku() == item.getItemSku() && getItemId().equals(item.getItemId());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getItemId(), getItemQuantity(), getItemPrice(), getItemSku());
    }

    @Override
    public String toString() {
        return "Item{" +
                "itemId='" + itemId + '\'' +
                ", itemQuantity=" + itemQuantity +
                ", itemPrice=" + itemPrice +
                ", itemSku=" + itemSku +
                '}';
    }
}
