package com.afp.ordermanagement.service;

import com.afp.ordermanagement.model.Order;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.stereotype.Service;

@Service
public class Consumer {

    private static final Logger logger = LoggerFactory.getLogger(Consumer.class);

    @KafkaListener(topics = "managers", groupId = "group_id")
    public void consumerManager(String message){
        logger.info(String.format("#### -> Consumed message -> %s", message));
    }

    @KafkaListener(topics = "orders")
    public void getOrderStatusFromWarehouse(String status) {
        logger.info(String.format("#### -> Consumed order Status: %s", status));
    }
}
